/****************************************************************************
**
** DCOP Stub Implementation created by dcopidl2cpp from dcopinterface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#include "dcopinterface_stub.h"
#include <dcopclient.h>

#include <kdatastream.h>


dcopIface_stub::dcopIface_stub( const QCString& app, const QCString& obj )
  : DCOPStub( app, obj )
{
}

dcopIface_stub::dcopIface_stub( DCOPClient* client, const QCString& app, const QCString& obj )
  : DCOPStub( client, app, obj )
{
}

dcopIface_stub::dcopIface_stub( const DCOPRef& ref )
  : DCOPStub( ref )
{
}

void dcopIface_stub::openTheme( QString arg0 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    QByteArray data;
    QDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    dcopClient()->send( app(), obj(), "openTheme(QString)", data );
    setStatus( CallSucceeded );
}

void dcopIface_stub::closeTheme( QString arg0 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    QByteArray data;
    QDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    dcopClient()->send( app(), obj(), "closeTheme(QString)", data );
    setStatus( CallSucceeded );
}

void dcopIface_stub::quit()
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    QByteArray data;
    dcopClient()->send( app(), obj(), "quit()", data );
    setStatus( CallSucceeded );
}

void dcopIface_stub::themeAdded( QString arg0, QString arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    QByteArray data;
    QDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "themeAdded(QString,QString)", data );
    setStatus( CallSucceeded );
}

void dcopIface_stub::themeClosed( QString arg0, QString arg1 )
{
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return;
    }
    QByteArray data;
    QDataStream arg( data, IO_WriteOnly );
    arg << arg0;
    arg << arg1;
    dcopClient()->send( app(), obj(), "themeClosed(QString,QString)", data );
    setStatus( CallSucceeded );
}

bool dcopIface_stub::isMainKaramba()
{
    bool result = false;
    if ( !dcopClient()  ) {
	setStatus( CallFailed );
	return result;
    }
    QByteArray data, replyData;
    QCString replyType;
    if ( dcopClient()->call( app(), obj(), "isMainKaramba()", data, replyType, replyData ) ) {
	if ( replyType == "bool" ) {
	    QDataStream _reply_stream( replyData, IO_ReadOnly );
	    _reply_stream >> result;
	    setStatus( CallSucceeded );
	} else {
	    callFailed();
	}
    } else { 
	callFailed();
    }
    return result;
}


